%define modname	perl-ldap
%define name	perl-%{modname}
%define version	0.22
%define release	1mdk

Summary:	A Perl module for Lightweight Directory Access Protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Distributable
Group:		Development/Perl
Source0:	%{modname}-%{version}.tar.bz2
URL:		http://perl-ldap.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	perl >= 5.004
Requires:	perl-Convert-ASN1
BuildRequires:	perl, perl-devel
# (gb) not absolutely vital for compiling
#BuildRequires:	perl-Convert-ASN1

%description
LDAP is the de facto Internet directory standard, supported by
companies such as Netscape, Microsoft, IBM and Novell. LDAP will be an
integral part of Internet platform offerings including Netscape's ONE
and Microsoft Exchange 5.0.

The perl-ldap distribution is a collection of perl modules which
provide an object orientated interface to LDAP servers.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX="$RPM_BUILD_ROOT/%{_prefix}"

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CREDITS RELEASE_NOTES TODO
%doc htdocs
#
%dir %_libdir/perl5/site_perl/5.*/i?86-linux/auto/perl-ldap
#
%dir %_libdir/perl5/site_perl/5.*/LWP/Protocol
%_libdir/perl5/site_perl/5.*/LWP/Protocol/ldap.pm
#
%dir %_libdir/perl5/site_perl/5.*/Bundle/Net
%_libdir/perl5/site_perl/5.*/Bundle/Net/LDAP.pm
#
%dir %_libdir/perl5/site_perl/5.*/Authen
%_libdir/perl5/site_perl/5.*/Authen/SASL.pod
%_libdir/perl5/site_perl/5.*/Authen/SASL.pm
#
%dir %_libdir/perl5/site_perl/5.*/Authen/SASL
%_libdir/perl5/site_perl/5.*/Authen/SASL/CRAM_MD5.pm
#
%dir %_libdir/perl5/site_perl/5.*/Net
%_libdir/perl5/site_perl/5.*/Net/LDAP.pm
%_libdir/perl5/site_perl/5.*/Net/LDAPS.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP.pod
#
%dir %_libdir/perl5/site_perl/5.*/Net/LDAP
%_libdir/perl5/site_perl/5.*/Net/LDAP/Entry.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Filter.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Search.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/LDIF.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Schema.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Entry.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Bind.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/DSML.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Schema.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Reference.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Util.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/ASN.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/LDIF.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Filter.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Search.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Constant.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Examples.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Extension.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/FAQ.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Message.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Message.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/Constant.pod
%_libdir/perl5/site_perl/5.*/Net/LDAP/RFC.pod
#
%dir %_libdir/perl5/site_perl/5.*/Net/LDAP/DSML
%_libdir/perl5/site_perl/5.*/Net/LDAP/DSML/Parser.pm
#
%dir %_libdir/perl5/site_perl/5.*/Net/LDAP/Control
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control/Sort.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control/SortResult.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control/VLVResponse.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control/VLV.pm
%_libdir/perl5/site_perl/5.*/Net/LDAP/Control/Paged.pm
#
%_libdir/perl5/man/man3/Net::LDAP::Entry.3*
%_libdir/perl5/man/man3/Net::LDAP::Control::Sort.3*
%_libdir/perl5/man/man3/Net::LDAP::Util.3*
%_libdir/perl5/man/man3/Authen::SASL.3*
%_libdir/perl5/man/man3/Net::LDAP::Search.3*
%_libdir/perl5/man/man3/Net::LDAP::Control::SortResult.3*
%_libdir/perl5/man/man3/Net::LDAP::LDIF.3*
%_libdir/perl5/man/man3/Net::LDAP::Schema.3*
%_libdir/perl5/man/man3/Net::LDAP::Filter.3*
%_libdir/perl5/man/man3/Net::LDAP::Examples.3*
%_libdir/perl5/man/man3/Net::LDAPS.3*
%_libdir/perl5/man/man3/Net::LDAP::FAQ.3*
%_libdir/perl5/man/man3/Net::LDAP::Control.3*
%_libdir/perl5/man/man3/Net::LDAP::Control::Paged.3*
%_libdir/perl5/man/man3/Net::LDAP.3*
%_libdir/perl5/man/man3/Net::LDAP::DSML.3*
%_libdir/perl5/man/man3/Net::LDAP::Message.3*
%_libdir/perl5/man/man3/Net::LDAP::Constant.3*
%_libdir/perl5/man/man3/Net::LDAP::Reference.3*
%_libdir/perl5/man/man3/Net::LDAP::RFC.3*
%_libdir/perl5/man/man3/Net::LDAP::Control::VLVResponse.3*
%_libdir/perl5/man/man3/Bundle::Net::LDAP.3*
%_libdir/perl5/man/man3/Net::LDAP::Control::VLV.3*

%changelog
* Thu Apr 12 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.22-1mdk
- First Mandrake package
